Bug 2041114 - bmake-20220116 is available
Summary: bmake-20220116 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bmake
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Menšík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-01-16 00:32 UTC by Upstream Release Monitoring
Modified: 2022-01-26 18:40 UTC (History)
2 users (show)

Fixed In Version: bmake-20220116-1.fc36 bmake-20220116-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-18 14:11:46 UTC
Type: ---


Attachments (Terms of Use)
Update to 20220112 (#2041114) (968 bytes, patch)
2022-01-16 00:32 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 20220116 (#2041114) (968 bytes, patch)
2022-01-17 01:31 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2022-01-16 00:32:03 UTC
Latest upstream release: 20220112
Current version/release in rawhide: 20211221-1.fc36
URL: http://www.crufty.net/ftp/pub/sjg/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/208/

Comment 1 Upstream Release Monitoring 2022-01-16 00:32:14 UTC
Created attachment 1851063 [details]
Update to 20220112 (#2041114)

Comment 2 Upstream Release Monitoring 2022-01-16 00:42:52 UTC
the-new-hotness/release-monitoring.org's scratch build of bmake-20220112-1.fc34.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=81295302

Comment 3 Upstream Release Monitoring 2022-01-17 01:31:50 UTC
Latest upstream release: 20220116
Current version/release in rawhide: 20211221-1.fc36
URL: http://www.crufty.net/ftp/pub/sjg/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/208/

Comment 4 Upstream Release Monitoring 2022-01-17 01:31:59 UTC
Created attachment 1851257 [details]
Update to 20220116 (#2041114)

Comment 5 Upstream Release Monitoring 2022-01-17 01:38:28 UTC
the-new-hotness/release-monitoring.org's scratch build of bmake-20220116-1.fc34.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=81333617

Comment 6 Petr Menšík 2022-01-17 10:02:44 UTC
2022-01-16  Simon J Gerraty  <sjg@beast.crufty.net>

	* VERSION (_MAKE_VERSION): 20220116
	Merge with NetBSD make, pick up
	o fix for unit-tests/varname-makeflags on non-BSD systems
	o use Var_Exists rather than Var_Value where appropriate
	o remove unnecessary functions for expanding variable names
	o cond.c: inline EvalBare
	o main.c: lint cleanup
	o parse.c: condense code in Parse_IsVar
	use islower for parsing directives (none have upper case)

2022-01-12  Simon J Gerraty  <sjg@beast.crufty.net>

	* VERSION (_MAKE_VERSION): 20220112
	Merge with NetBSD make, pick up
	o meta.c: add .MAKE.META.CMP_FILTER for filtering commands before
	comparion, rarely needed but useful when it is.

2022-01-10  Simon J Gerraty  <sjg@beast.crufty.net>

	* VERSION (_MAKE_VERSION): 20220110
	Merge with NetBSD make, pick up
	o inline Buf_Clear
	o remove redundant braces
	o rename and inline Targ_Precious
	o cond.c: remove redundant initializer in CondParser_ComparisonOrLeaf
	o for.c: clean up handling of .for loops
	fix reported line numbers of continuation lines
	add details about .for loop variables to stack traces
	o job.c: reduce code for initializing error handling in shell
	o main.c: in Cmd_Exec, return error message instead of format string
	have as few statements as possible between va_start and va_end
	add debug logging for capturing the output of external commands
	o make.c: use consistent variable names for varargs
	o make_malloc.c: remove duplicate code from bmake_strdup
	o parse.c: add missing printflike annotations
	remove redundant lines from stack traces
	fix stack traces in -dp mode
	reduce confusing code in ParseForLoop
	fix line number in debug log after returning from a file
	rename IFile and its fields to match their actual content
	clean up ParseDependencySources
	o var.c: shorten ApplyModifier_Assign
	rename is_shell_metachar, fix character conversion warning
	merge calls to ApplyModifier_Time
	merge duplicate code for modifiers 'gmtime' and 'localtime'

2022-01-04  Simon J Gerraty  <sjg@beast.crufty.net>

	* parse.c: loadfile restore extra byte in buffer.

2022-01-01  Simon J Gerraty  <sjg@beast.crufty.net>

	* VERSION (_MAKE_VERSION): 20220101
	Merge with NetBSD make, pick up
	o more unit-tests
	o remove unnecessary words from command line options in CmdOpts
	o rename eunlink to unlink_file
	o cond.c: make ParseWord in condition parser simpler
	internally return false for irrelevant leaves in conditions
	replace table for function lookup in conditions with simple code
	merge duplicate types CondEvalResult and CondResult
	o for.c: clean up handling of .for loops and .include directives
	o main.c: constify cached_realpath
	clean up Cmd_Exec
	o parse.c: sync API documentation
	fix error message when reading more than 1 GB from stdin
	clean up parsing of makefiles
	fix line number in error message about open conditionals
	unexport types VarAssignOp and VarAssign
	clean up function names
	remove redundant parameters in dependency parsing functions
	reduce scope of the list of wildcard target names
	extract OP_NOTARGET into separate function
	clean up variable names for parsing dependency lines
	make debug logging a bit more human-friendly
	o var.c: condense code in ApplyModifier_Assign

Comment 7 Fedora Update System 2022-01-18 16:25:31 UTC
FEDORA-2022-e91afdce0b has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-e91afdce0b

Comment 8 Fedora Update System 2022-01-18 16:25:34 UTC
FEDORA-2022-e91afdce0b has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-e91afdce0b

Comment 9 Fedora Update System 2022-01-19 02:34:25 UTC
FEDORA-2022-e91afdce0b has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-e91afdce0b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-e91afdce0b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-01-26 18:40:03 UTC
FEDORA-2022-e91afdce0b has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.